%define brand fuel
%define RHEL6 %(test "%{?dist}" == ".el6" && echo 1 || echo 0)

Name:		publican-%{brand}
Summary:	Publican documentation template files for %{brand}
Version:	1.0
Release:	1%{?dist}
License:	CC-BY-SA
Group:		Development/Libraries

# Limited to these arches on RHEL 6 due to PDF + Java limitations
%if %{RHEL6}
ExclusiveArch:   i686 x86_64
%else
BuildArch:   noarch
%endif
Source:		https://fedorahosted.org/releases/publican/%{name}-%{version}.tgz
Requires:	publican >= 2.5
BuildRequires:	publican >= 2.5
URL:		https://publican.fedorahosted.org

%description
This package provides common files and templates needed to build documentation
for %{brand} with publican.

%prep
%setup -q

%build
publican build --formats=xml --langs=all --publish

%install
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
publican install_brand --path=$RPM_BUILD_ROOT%{_datadir}/publican/Common_Content

%files
%defattr(-,root,root,-)
%doc README
%doc COPYING
%{_datadir}/publican/Common_Content/%{brand}

%changelog
* Fri Nov 2 2012 Jaswinder Singh <j.phulewala@gmail.com> - 1.0-1
- Created new spec file for publican-fuel
